--[[
	顶层等待窗口，显示一个黑色半透明背景，一段文字
	***重要***  记得在要移除的地方 调用 self:hideWaitingView()
--]]

WaitingViewExtend = {}

function WaitingViewExtend.extend(object)
	--[[
		@brief 显示顶层等待窗口
		-- @param txt:显示文字，为nil，不显示
	--]]
	function object:showWaitingView(txt, isSwallowsTouchs)
		if object.TopView_ then
			return
		end

		txt = txt or ""

		if isSwallowsTouchs == nil then isSwallowsTouchs = true end

		local director = cc.Director:getInstance()
		local winSize = director:getWinSize()    -- 游戏区域大小

		-- 加载压黑层
		local layerC = ccui.Layout:create()
		layerC:setBackGroundColorType(1)
		layerC:setContentSize(cc.size(display.width, display.height))
		layerC:ignoreContentAdaptWithSize(false)
		layerC:setColor(cc.c3b(0, 0, 0))
		layerC:setOpacity(255*0.5)
		object:addChild(layerC, 10000)

		local size = layerC:getContentSize()
		local waitingTips = cc.Label:createWithSystemFont(txt, "arial", 32)
		layerC:addChild(waitingTips)
		waitingTips:setPosition(size.width / 2.0, size.height / 2.0)

		if isSwallowsTouchs then
			layerC:setTouchEnabled(true)
		else
			layerC:setTouchEnabled(false)
		end

		object.TopView_ = layerC
	end

	function object:hideWaitingView()
		if object.TopView_  then
			object.TopView_:removeFromParent()
			object.TopView_ = nil
		end
	end
	
end











